teamviewer.com link icon
or
Ask The Community

TeamViewer is one of the winners of the European Customer Centricity Award 🥳


Please find more information here.

Version out of date (February 25, 2021)

2456713

Answers

  • Agrest
    Agrest Posts: 1 Newbie

    Hi Guys,

    I've got above version on both PCs and can't connect from one to another because of

    "The remote TeamViewer is running an old version which is out of date..."

    I've tried reinstalling, rebooting etc with no luck.

    Any ideas?

    Thanks

    Agrest

  • Agrest
    Agrest Posts: 1 Newbie

    Hi Guys,

    I've got above version on both PCs and can't connect from one to another because of

    "The remote TeamViewer is running an old version which is out of date..."

    I've tried reinstalling, rebooting etc with no luck.

    Any ideas?

    Thanks

    Agrest

  • Shaziq
    Shaziq Posts: 0 Newbie

    I'm having the exact same issue, even though both are version 15.15.5.

    I've reinstalled on both machines,

    Double checked versions on both machines (both up to date),

    And yet it still refuses to connect (from both sides) citing an older version

  • RDorman
    RDorman Posts: 1 Newbie

    Trying to connect to a linux machine (ubuntu 16.04), with Teamviewer 15.15, from a local windows 10 machine with Teamviewer 15.15. Note how the versions are the same, but from any of the machine's I can't connect to the other one with the warming that the "remote machine has an old version which is out of date".

    Clearly something is going wrong here, right?

  • This started happening for me too. No updates had taken place when I started reviving the error about the remote server running an older version (it wasn't). Was running 15.14.5 on both host and client. Updated BOTH to 15.15.5 and I'm still receiving the old version error. Feels like something wrong with TeamViewer's backend.

  • Ceejays
    Ceejays Posts: 0

    Hi - I have exactly the same problem and I have rebooted and reinstalled.....

  • Anche a me sta capiatndo la stessa cosa.Speriamo si risolva velocemente il problema!!!!

  • johso
    johso Posts: 1 Newbie

    While using my current the teamviewer's version 15.6.7 (free license) when trying a remote connection I was requested to update the remote device's teamviewer. I did it, on both devices, but the message "using an outdated version" still remains. THERE IS NO MEANS TO GET A SUCCESSFUL CONNECTION!

    Can somebody help?

  • serpe
    serpe Posts: 1 Newbie
    edited February 25

    Hi, same issue, got stuck while working and now the connection is impossible due out of date...

    Both side upgraded to 15.15.5

  • ZoltanGZ
    ZoltanGZ Posts: 2 Newbie
    edited February 25

    Same identical problem, tried uninstall and reinstall on both machines, no luck! Now what??

    (By the way both machines have the free version being used between two family members living apart)

    Thank you.

  • pennyminstrel
    pennyminstrel Posts: 0

    Same here, running 15.15.5 on 2 windows 10 PC's. Multiple restarts, completely uninstalled TV and started afresh. Both PC's say the remote computer is running an out of date version

  • Shaziq
    Shaziq Posts: 0 Newbie

    I'm having the exact same issue, even though both are version 15.15.5 and on the same version of windows.

    I've reinstalled on both machines,

    Double checked versions on both machines (both up to date),

    And yet it still refuses to connect (from both sides) citing an older version

  • YuriyM
    YuriyM Posts: 0 Newbie

    Same issue today with version 15.15.5.

  • AlexanderG
    AlexanderG Posts: 2 Newbie

    The same for my 15.15.5 updated team viewer! Both local & remote PCs have the equal versions are 15.15.5! How long will take the fix from team viewer support team?

  • AndyL
    AndyL Posts: 1 Newbie

    Hi

    I want to remote control a Mac from another Mac.

    Both have TV 15.15.5 installed. But I always get the 'the remote TV uses an old version' error.

    What I tried so far:

    • establish a connection in the other direction - same error
    • install TV from scratch (after uninstalling TV)
    • check the security settings

    Any idea why I receive this error?

  • Butt3rfly
    Butt3rfly Posts: 0

    Hi I have the same problem does anyone know what is wrong?🤔

  • maxiheed
    maxiheed Posts: 0 Newbie

    Hi - I have Teamviewer free version on 3 windows PC's - all remote from each other - Teamviewer version on all is 15.15.5. I used older versions that worked fine. First time I have used teamviewer for a while, so upgrade all PC's and rebooted. None of them will connect, Error message states remote is using an old version - they are not as all on version 15. Have tried forward and reverse remote control - non work and all with the same message. Any ideas?

  • X4V1
    X4V1 Posts: 3 ✭✭

    Hi, same issue here. Tried from android app and from windows pc, nothing is working.

  • spikey1973
    spikey1973 Posts: 2 ✭✭

    I have been connecting to a friends (win10) pc to help him setting up his NAS from my linux (POP-OS) machine successfully for the last month or so.

    Since this morning we recieved the error that the remote machine (his win10) is not up to date.

    even after verifying that the version of this remote machine (and min) was not out of date (15.15.5) we both decided to remove the current version and re-install with the latest download.

    Never the less the error msg keeps appearing, blocking me connecting to his machine.

    how can this be solved?

    Kind regards


    Matthieu

  • Ki_Shuya
    Ki_Shuya Posts: 1 Newbie

    Same here, looking for possible solutions. Any word from TV about this?

  • chrisdes68
    chrisdes68 Posts: 1 Newbie

    Hope to fix it soon #AlexanderG

  • piccio
    piccio Posts: 0 Newbie

    Hi, this morning i try to connect to another device and i got the message that i need to update my version and the host's one and so i did.

    But the error do not disappeared, i check my version and the other version and both are 15.15.5, i try to reintall but nothing change. I can't even connect to my pc from my phone while this was fine a couple of months ago.

    I use i free license, anyone else is having this issue or know how can i solve it?

    Thanks

  • ummario
    ummario Posts: 0 Newbie

    I'm also having this issue. Can't connect any of my mac computers. All of them with 15.5.5. Only started to happen this morning!

  • Daniel_Drury
    Daniel_Drury Posts: 1 Newbie

    Hi,

    I just installed teamviewer onto a new computer which I was about to use to remote in from my laptop. Just as I wanted to test this connection was working the error listed above came up telling me that i cannot connect to an old version of teamviewer and how i had to update the remote software to connect. Looking at both my laptop and desktop i can see that they are the exact same version of 15.15.5. In thinking something had been setup wrong i also deleted both ends teamviewer and reinstalled to make sure they were setup the exact same way. Still same error. This is something odd and in the past when i previously had used teamviewer i never seen this error before. Wondering if there is a bug with free versions for personal use?


    Daniel

  • Daniel_Drury
    Daniel_Drury Posts: 1 Newbie

    Hi,

    I just installed teamviewer onto a new computer which I was about to use to remote in from my laptop. Just as I wanted to test this connection was working the error listed above came up telling me that i cannot connect to an old version of teamviewer and how i had to update the remote software to connect. Looking at both my laptop and desktop i can see that they are the exact same version of 15.15.5. In thinking something had been setup wrong i also deleted both ends teamviewer and reinstalled to make sure they were setup the exact same way. Still same error. This is something odd and in the past when i previously had used teamviewer i never seen this error before. Wondering if there is a bug with free versions for personal use?


    Daniel

  • Agrest
    Agrest Posts: 1 Newbie

    I've installed ver 15.14.5 with the same result.

    My suspition is that there's something on the TeamViewer servers that's broken.

    It was all working fine an hour ago...

  • KeleJohnny
    KeleJohnny Posts: 0 Newbie

    Same here, both use the same 15.15.5 version

  • maxiheed
    maxiheed Posts: 0 Newbie

    Same - I have Teamviewer free version on 3 windows PC's - all remote from each other - Teamviewer version on all is 15.15.5. I used older versions that worked fine. First time I have used teamviewer for a while, so upgrade all PC's and rebooted. None of them will connect, Error message states remote is using an old version - they are not as all on version 15. Have tried forward and reverse remote control - non work and all with the same message. Any ideas?

  • Imperator69
    Imperator69 Posts: 1

    still the same stupid problem with the same stupid outcome. welcome digitalisation in 2021

  • Mayta
    Mayta Posts: 0

    Hi,

    Maybe I have a different issue, maybe not but here is the problem.

    Both computers have latest 15.5.5 version but when trying to connect I still get "version out of date - update the remote TeamViewer" message. Both Win10 machines, both FREE license.

    Any ideas?

    Thanks

This discussion has been closed.